%define upstream_name    Digest-SHA-PurePerl
%define upstream_version 5.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl implementation of SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(FileHandle)
BuildRequires: perl-devel
BuildArch:  noarch

Conflicts:   perl-Digest-SHA < 5.610.0-2.mga

%description
Digest::SHA::PurePerl is a complete implementation of the NIST
Secure Hash Standard.  It gives Perl programmers a convenient way
to calculate SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message
digests.  The module can handle all types of input, including
partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum.pl

%clean 
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes META.yml README examples
%{perl_vendorlib}/Digest/SHA/PurePerl.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*


%changelog
* Mon Apr 04 2011 jquelin <jquelin> 5.610.0-2.mga1
+ Revision: 80347
- fix bug#607 - urpmi hints to upgrade perl-Digest-SHA & perl-Digest-SHA-PurePerl in same transaction

* Thu Mar 10 2011 jquelin <jquelin> 5.610.0-1.mga1
+ Revision: 67620
- update to 5.61
- update to 5.61

* Thu Mar 10 2011 jquelin <jquelin> 5.600.0-2.mga1
+ Revision: 67403
- mmf. moving stuff needs to be done inside %%{buildroot}
- prevent conflict with perl-Digest-SHA

* Wed Mar 09 2011 jquelin <jquelin> 5.600.0-1.mga1
+ Revision: 66979
- update to 5.60
- update to 5.60

* Fri Jan 21 2011 jquelin <jquelin> 5.500.0-1.mga1
+ Revision: 30178
- mageia rebuild
- imported package perl-Digest-SHA-PurePerl


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 5.500.0-1mdv2011.0
+ Revision: 622683
- update to new version 5.50

* Thu Jan 07 2010 Emmanuel Andry <eandry@mandriva.org> 5.480.0-1mdv2011.0
+ Revision: 487176
- import perl-Digest-SHA-PurePerl


